package com.hotent.portal.params.dataDict;

import com.hotent.sys.persistence.model.DataDict;
import io.swagger.annotations.ApiModelProperty;

public class DictEditVo {

    @ApiModelProperty(name="isAdd", notes="是否添加")
    private Integer isAdd;

    @ApiModelProperty(name="typeId", notes="类型ID")
    private String typeId;

    @ApiModelProperty(name="parentId", notes="父ID")
    private String parentId;

    @ApiModelProperty(name="dataDict", notes="编辑情况下的字典对象")
    private DataDict dataDict;

    public Integer getIsAdd() {
        return isAdd;
    }

    public void setIsAdd(Integer isAdd) {
        this.isAdd = isAdd;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public DataDict getDataDict() {
        return dataDict;
    }

    public void setDataDict(DataDict dataDict) {
        this.dataDict = dataDict;
    }
}
